import request from '@/utils/request'

// 查询生产记录列表
export function listPorkOtherProduce(query) {
  return request({
    url: '/app/porkOtherProduce/list',
    method: 'get',
    params: query
  })
}

// 查询生产记录详细
export function getPorkOtherProduce(id) {
  return request({
    url: '/app/porkOtherProduce/' + id,
    method: 'get'
  })
}

// 新增生产记录
export function addPorkOtherProduce(data) {
  return request({
    url: '/app/porkOtherProduce',
    method: 'post',
    data: data
  })
}

// 修改生产记录
export function updatePorkOtherProduce(data) {
  return request({
    url: '/app/porkOtherProduce',
    method: 'put',
    data: data
  })
}

// 删除生产记录
export function delPorkOtherProduce(id) {
  return request({
    url: '/app/porkOtherProduce/' + id,
    method: 'delete'
  })
}
